org.firstinspires.ftc.robotcore.external.navigation

## Class MagneticFlux

- java.lang.Object
- - org.firstinspires.ftc.robotcore.external.navigation.MagneticFlux

-     public class MagneticFlux
      extends java.lang.Object

  Instances of `MagneticFlux` represent a three-dimensional magnetic strength vector. Units are in tesla (NOT microtesla).
  See Also:
    https://en.wikipedia.org/wiki/Tesla_(unit)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `acquisitionTime` the time on the System.nanoTime() clock at which the data was acquired.
    `double` | `x` the flux in the X direction
    `double` | `y` the flux in the Y direction
    `double` | `z` the flux in the Z direction

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MagneticFlux()`
    `MagneticFlux(double x, double y, double z, long acquisitionTime)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### x

          public double x

      the flux in the X direction

    - #### y

          public double y

      the flux in the Y direction

    - #### z

          public double z

      the flux in the Z direction

    - #### acquisitionTime

          public long acquisitionTime

      the time on the System.nanoTime() clock at which the data was acquired. If no timestamp is associated with this particular set of data, this value is zero.

  - ### Constructor Detail

    - #### MagneticFlux

          public MagneticFlux()

    - #### MagneticFlux

          public MagneticFlux(double x,
                              double y,
                              double z,
                              long acquisitionTime)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`